import calendar
from datetime import date, timedelta, time, datetime

def test_1():
    print(calendar.isleap(1900))
    print(calendar.isleap(2000))
    print(calendar.isleap(1901))

def test_2():
    halloween = date(2019, 10, 31)
    print(halloween)
    print(date.today())

def test_3():
    one_day = timedelta(days=1)
    now = date.today()
    tomorrow = now + one_day
    print(tomorrow)
    print(now + 17*one_day)

def test_4():
    noon = time(12, 0, 0)
    print(noon)

def test_5():
    some_day = datetime(2019, 1, 2, 3, 4, 5, 6)
    print(some_day)
    print(datetime.now())

def test_6():
    noon = time(12)
    this_day = date.today()
    noon_today = datetime.combine(this_day, noon)
    print(noon_today)
    print(noon_today.date())
    print(noon_today.time())

# test_1()
# test_2()
# test_3()
# test_4()
# test_5()
test_6()
